> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update model by id

> Update one or more editable attributes of a DMM model.



## OpenAPI

````yaml /api-specs/cloud/dmm.json patch /model-monitor/v2/api/model
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model:
    summary: Model Operations.
    patch:
      tags:
        - Model
      summary: Update model by id
      description: Update one or more editable attributes of a DMM model.
      operationId: updateModelById
      parameters:
        - in: query
          name: model_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/modelUpdateRequest'
        description: ''
        required: true
      responses:
        '200':
          description: Successfully updated the model.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    modelUpdateRequest:
      allOf:
        - $ref: '#/components/schemas/editableModelAttributes'
      description: Attributes of the model to update.
      title: Model Update Request
      type: object
    editableModelAttributes:
      description: Those attributes of a model that can be edited.
      properties:
        author:
          description: Author of the model.
          type: string
        description:
          description: Description for the model.
          type: string
        name:
          description: Name of the model.
          type: string
        tag_ids:
          description: Ids of tags attached to the model.
          items:
            type: string
          type: array
        version:
          description: Version of the model.
          type: string
      title: Model attributes
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Update a Model Deployment](/api-reference/modeldeployment/update-a-model-deployment.md)
- [Update model visibility](/api-reference/model/update-model-visibility.md)
- [Updates scheduler job of a model](/api-reference/scheduler/updates-scheduler-job-of-a-model.md)
- [Update monitored model entry](/api-reference/bundles/update-monitored-model-entry.md)
